capture program drop avgper
*! avgper 1.0.0  30dec2014  C F Baum
program avgper, rclass
	version 14
	syntax varlist(max=1 numeric) [if] [in], per(integer)
	marksample touse
	quietly summarize `varlist' if `touse'
* validate per versus selected sample
	if `per' <= 0 | `per' >= `r(N)' {
		display as error "per must be >0 and < N of observations."
		error 198
	}
	if mod(`r(N)',`per' != 0) {
		display as error "N of observations must be a multiple of per."
		error 198
	}
* validate the new varname
	local newvar = "`varlist'"+"A"+string(`per')
	quietly generate `newvar' = .
* pass the varname and newvarname to mata
	mata: avgper("`varlist'","`newvar'",`per',"`touse'")
	end
