
*! maxindcorr 1.0.0  CFBaum 31dec2014
program maxindcorr
    version 14
    syntax varlist(numeric), RET(varname numeric) FIRMid(varname) GEN(string)

* validate new variable names
    confirm new variable `gen'`firmid'
    confirm new variable `gen'max
    confirm new variable `gen'mu
    confirm new variable `gen'n

    tempvar trday
* establish trading day calendar using firmid variable
    bysort `firmid': generate `trday' = _n
    quietly tsset `firmid' `trday'
    quietly generate `gen'max = .
    quietly generate `gen'mu = .
    quietly generate `gen'n = .
    quietly generate `gen'`firmid' = .
    quietly levelsof `firmid'
    local firms `r(levels)'
    local nf : word count `r(levels)'
    forv i = 1/`nf' {
        local fid : word `i' of `firms'
        quietly replace `gen'`firmid' = `fid' in `i'
    }
* create varlist of indices..ret
    local vl "`varlist' `ret'"	
* pass to Mata routine
    mata: indcorr("`firmid'", "`vl'","`gen'")	
    end
